@Manual{knitr1,
  title = {knitr: A General-Purpose Package for Dynamic Report Generation in R},
  author = {Yihui Xie},
  year = {2020},
  note = {R package version 1.28},
  url = {https://yihui.org/knitr/},
}

@Book{knitr2,
  title = {Dynamic Documents with {R} and knitr},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  address = {Boca Raton, Florida},
  year = {2015},
  edition = {2nd},
  note = {ISBN 978-1498716963},
  url = {https://yihui.org/knitr/},
}

@InCollection{knitr3,
  booktitle = {Implementing Reproducible Computational Research},
  editor = {Victoria Stodden and Friedrich Leisch and Roger D. Peng},
  title = {knitr: A Comprehensive Tool for Reproducible Research in {R}},
  author = {Yihui Xie},
  publisher = {Chapman and Hall/CRC},
  year = {2014},
  note = {ISBN 978-1466561595},
  url = {http://www.crcpress.com/product/isbn/9781466561595},
}

@Manual{bibtex,
  title = {bibtex: Bibtex Parser},
  author = {Romain Francois},
  year = {2020},
  note = {R package version 0.4.2.2},
  url = {https://CRAN.R-project.org/package=bibtex},
}

@Manual{wrapr,
  title = {wrapr: Wrap R Tools for Debugging and Parametric Programming},
  author = {John Mount and Nina Zumel},
  year = {2020},
  note = {R package version 2.0.0},
  url = {https://CRAN.R-project.org/package=wrapr},
}

@Manual{base,
  title = {R: A Language and Environment for Statistical Computing},
  author = {{R Core Team}},
  organization = {R Foundation for Statistical Computing},
  address = {Vienna, Austria},
  year = {2018},
  url = {https://www.R-project.org/},
}

@Manual{readr,
  title = {readr: Read Rectangular Text Data},
  author = {Hadley Wickham and Jim Hester and Romain Francois},
  year = {2018},
  note = {R package version 1.3.1},
  url = {https://CRAN.R-project.org/package=readr},
}

@Manual{dplyr,
  title = {dplyr: A Grammar of Data Manipulation},
  author = {Hadley Wickham and Romain François and Lionel Henry and Kirill Müller},
  year = {2020},
  note = {R package version 1.0.0},
  url = {https://CRAN.R-project.org/package=dplyr},
}

@Manual{tidyr,
  title = {tidyr: Tidy Messy Data},
  author = {Hadley Wickham and Lionel Henry},
  year = {2020},
  note = {R package version 1.1.0},
  url = {https://CRAN.R-project.org/package=tidyr},
}

@Book{ggplot2,
  author = {Hadley Wickham},
  title = {ggplot2: Elegant Graphics for Data Analysis},
  publisher = {Springer-Verlag New York},
  year = {2016},
  isbn = {978-3-319-24277-4},
  url = {https://ggplot2.tidyverse.org},
}

@Manual{tibble,
  title = {tibble: Simple Data Frames},
  author = {Kirill Müller and Hadley Wickham},
  year = {2020},
  note = {R package version 3.0.1},
  url = {https://CRAN.R-project.org/package=tibble},
}

@Manual{purrr,
  title = {purrr: Functional Programming Tools},
  author = {Lionel Henry and Hadley Wickham},
  year = {2020},
  note = {R package version 0.3.4},
  url = {https://CRAN.R-project.org/package=purrr},
}

@Manual{magrittr,
  title = {magrittr: A Forward-Pipe Operator for R},
  author = {Stefan Milton Bache and Hadley Wickham},
  year = {2014},
  note = {R package version 1.5},
  url = {https://CRAN.R-project.org/package=magrittr},
}

@Manual{stringr,
  title = {stringr: Simple, Consistent Wrappers for Common String Operations},
  author = {Hadley Wickham},
  year = {2019},
  note = {R package version 1.4.0},
  url = {https://CRAN.R-project.org/package=stringr},
}

@Manual{sqldf,
  title = {sqldf: Manipulate R Data Frames Using SQL},
  author = {G. Grothendieck},
  year = {2017},
  note = {R package version 0.4-11},
  url = {https://CRAN.R-project.org/package=sqldf},
}
